Package org.apache.sling.scripting.sightly.java.compiler.impl.operator

## Interface UnaryOpGen

All Known Implementing Classes:
  `IsWhiteSpaceGen`, `LengthOpGen`, `NotOpGen`

    public interface UnaryOpGen

Interface for generators of unary operators

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source, org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor, TypedNode typedNode)`
`org.apache.sling.scripting.sightly.java.compiler.impl.Type` `returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type operandType)`

### Method Detail

#### returnType

    org.apache.sling.scripting.sightly.java.compiler.impl.Type returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type operandType)

#### generate

    void generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source,
                  org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor,
                  TypedNode typedNode)